# Как поднять PostgreSQL локально

1. Установить [docker desktop];
2. Как-то сохранить `docker-compose.yml`, т.е.:
  - либо скачать файл [./docker-compose.yml];
  - либо склонировать репозиторий в терминале с git (`git clone
https://cs-shelter.xyz/ottergottaott/minor-sql-2022.git`);
3. Открыть терминал:
  - PowerShell в Windows, _а лучше [Windows Subsystem for Linux][wsl]_;
  - iTerm в macOS;
4. С помощью команд, приведённых ниже, перейдите в склонированный
репозиторий/место, куда сохранили `docker-compose.yml`:
  - `cd` - перейти в директорию;
  - `pwd` - вывести текущую директорию;
  - `ls` - вывести содержимое текущей директории;
5. Выполните команду, написанную ниже, она запустит контейнер,
в котором будет база данных:
```sh
docker-compose up -d 
```
6. Теперь можно открыть в браузере [localhost:5050](http://localhost:5050).
  - **логин/email**: `pgadmin@pgadmin.org` 
  - **пароль**: `pgadmin`

7. 


[docker desktop]: https://www.docker.com/products/docker-desktop/
[wsl]: https://learn.microsoft.com/en-us/windows/wsl/install
